API recipes

Requests you can copy and run. Each one returns live data from the API.

Examples

Get property details in a location

Programming language

Select the programming language you want to display the code examples in.

Get property details by location
Filter by location and property characteristics. This pulls bedrooms, dens, bathrooms, floor area and estimated list price for Calgary houses with 3 or more bedrooms.
Request
Shell session
curl -X GET "https://api.houski.ca/properties?api_key=YOUR_API_KEY&bedroom_gte=3&city=calgary&country_abbreviation=ca&page=1&property_type_eq=House&province_abbreviation=ab&results_per_page=3&select=address,bedroom,den,bathroom_full,bathroom_half,interior_sq_m,estimate_list_price"
TypeScript code
const houski_recipe_data = async (): Promise<PropertiesResponse> => {

    // You must copy the PropertiesResponse type declarations from the 
    // Houski API documentation to strongly type the response

    const url = new URL('https://api.houski.ca/properties');
    url.searchParams.set('api_key', 'YOUR_API_KEY');
    url.searchParams.set('bedroom_gte', '3');
    url.searchParams.set('city', 'calgary');
    url.searchParams.set('country_abbreviation', 'ca');
    url.searchParams.set('page', '1');
    url.searchParams.set('property_type_eq', 'House');
    url.searchParams.set('province_abbreviation', 'ab');
    url.searchParams.set('results_per_page', '3');
    url.searchParams.set('select', 'address,bedroom,den,bathroom_full,bathroom_half,interior_sq_m,estimate_list_price');

    const response = await fetch(url);
    const data = await response.json();

    return data;
}

(async () => {
let data: PropertiesResponse = await houski_recipe_data();

// Log the response
console.log(data);
})();
Response
JSON
{
  "cache_hit": true,
  "cost_cents": 1.86,
  "data": [
    {
      "address": "54 Rowmont Link NW",
      "bathroom_full": 2,
      "bathroom_half": 1,
      "bedroom": 3,
      "den": 0,
      "estimate_list_price": 820503,
      "interior_sq_m": 169.45374,
      "property_id": "1055f97323e53f25"
    },
    {
      "address": "40 Rowmont Common NW",
      "bathroom_full": 3,
      "bathroom_half": 1,
      "bedroom": 3,
      "den": 0,
      "estimate_list_price": 720090,
      "interior_sq_m": 173.07692,
      "property_id": "11d2132629e36a28"
    },
    {
      "address": "16 Rowmont Common NW",
      "bathroom_full": 3,
      "bathroom_half": 1,
      "bedroom": 3,
      "den": 0,
      "estimate_list_price": 774024,
      "interior_sq_m": 173.07692,
      "property_id": "11f8d3671079fb5e"
    }
  ],
  "error": "",
  "pagination": {
    "current_page": 1,
    "has_next_page": true,
    "has_previous_page": false,
    "page_total": 103352
  },
  "price_quote": false,
  "result_total": 310056,
  "time_ms": 43,
  "ui_info": {
    "city": "Calgary",
    "city_id": "6ec95b53075d062c",
    "city_link": "ca/ab/calgary",
    "city_slug": "calgary",
    "country": "Canada",
    "country_abbreviation": "CA",
    "country_abbreviation_id": "9ace2b6431b7f1be",
    "country_abbreviation_link": "ca",
    "country_slug": "canada",
    "province": "Alberta",
    "province_abbreviation": "AB",
    "province_abbreviation_id": "aae1f05a0f89d2c7",
    "province_abbreviation_link": "ca/ab",
    "province_slug": "alberta"
  }
}